Vulnerabilidad DoS en uTorrent y BitTorrent

utorrent.jpgLuigi Auriemma, experto en seguridad informática y responsable de haber descubierto con anterioridad otros problemas de seguridad, ha reportado una vulnerabilidad en uTorrent y BitTorrent, las cuales pueden ser explotadas por un atacante para causar una denegación de servicio.

El problema de seguridad es provocado por un error de límites cuando se muestra el tipo de cliente utilizado por los otros usuarios contectados a la red. Si se trata de una cadena demasiada larga, se puede provocar un cuelgue de la aplicación.

La versión 1.7.5 de uTorrent y 6.0 de BitTorrent son propensas a esta vulnerabilidad. Por lo pronto, ya se encuentra disponible la versión 1.7.6 de uTorrent que resuelve el problema.

(vía: Secunia)